package com.wms.constants.enums;

public enum ConfigMapKeyEnum {
    MAX_WEIGHT("MAX_WEIGHT"),
    URL_WCS_TASK("URL_WCS_TASK"),
    URL_NEW_DESTINATION("URL_NEW_DESTINATION"),
    URL_WCS_PICK_TASK("URL_WCS_PICK_TASK"),
    URL_WCS_CANCEL_PICK_TASK("URL_WCS_CANCEL_PICK_TASK"),
    URL_WCS_E_TASK("URL_WCS_E_TASK"),
    URL_WCS_DISPOSE_VEHICLE("URL_WCS_DISPOSE_VEHICLE"),
    CREATE_WORK("CREATE_WORK"),
    START_WORK("START_WORK"),
    SEND_TASK("SEND_TASK"),
    ALLOW_EMPTY_BACK("ALLOW_EMPTY_BACK"),
    SEND_PICK_OUT_TASK("SEND_PICK_OUT_TASK"),
    MAX_VEHICLE_NUMS("MAX_VEHICLE_NUMS"),
    MAX_WCS_ACCEPT_NUMS("MAX_WCS_ACCEPT_NUMS"),
    SLOC_FILTER_STRING("SLOC_FILTER_STRING"),
    URL_WCS_CHANGE_TASK("URL_WCS_CHANGE_TASK"),
    LOG_DELETE_INTERVAL("LOG_DELETE_INTERVAL"),
    RECORD_DELETE_INTERVAL("RECORD_DELETE_INTERVAL"),
    IMPORTANT_RECORD_DELETE_INTERVAL("IMPORTANT_RECORD_DELETE_INTERVAL");
    private final String configKey;
    ConfigMapKeyEnum(String configKey) {
        this.configKey = configKey;
    }
    public String getConfigKey() {
        return configKey;
    }
}
